TcpMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.tcp.TcpMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class TcpMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

Direct Known Subclasses:
  HttpMessageReceiver, SslMessageReceiver

    public class TcpMessageReceiver

extends AbstractMessageReceiver
implements javax.resource.spi.work.Work

`TcpMessageReceiver` acts like a TCP server to receive socket requests.

Nested Class Summary
`protected class` | `TcpMessageReceiver.TcpWorker`

Field Summary
`protected edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicBoolean` | `disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`TcpMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`ServerSocket` | `getServerSocket()` Obtain the serverSocket
`void` | `release()`
`void` | `run()`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### disposing

    protected final edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicBoolean disposing

Constructor Detail

### TcpMessageReceiver

    public TcpMessageReceiver(Connector connector,
                              Service service,
                              InboundEndpoint endpoint)
                       throws CreateException

Throws:
  `CreateException`

Method Detail

### doConnect

    protected void doConnect()
                      throws ConnectException

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `ConnectException`

### doDisconnect

    protected void doDisconnect()
                         throws ConnectException

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `ConnectException`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractConnectable`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractConnectable`
  Throws:
    `MuleException`

### getServerSocket

    public ServerSocket getServerSocket()

  Obtain the serverSocket

  Returns:
    the server socket for this server

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.